const path = require('path');

module.exports = {
	extends: ['plugin:vue/vue3-recommended', path.join(__dirname, 'index.js')],
	parser: 'vue-eslint-parser',
	parserOptions: {
		parser: '@babel/eslint-parser',
		sourceType: 'module',
	},
	env: {
		browser: true,
	},
	rules: {
		'vue/html-indent': [2, 'tab'],
		'vue/max-attributes-per-line': 0,
		'vue/html-closing-bracket-newline': [
			1,
			{
				singleline: 'never',
				multiline: 'never',
			},
		],
		'vue/attribute-hyphenation': 0,
		'array-bracket-newline': 0,
		'vue/array-bracket-newline': [2, 'consistent'],
		'array-bracket-spacing': 0,
		'vue/array-bracket-spacing': [2, 'never', { singleValue: false, objectsInArrays: false, arraysInArrays: false }],
		'arrow-spacing': 0,
		'vue/arrow-spacing': [2, { before: true, after: true }],
		'block-spacing': 0,
		'vue/block-spacing': [2, 'always'],
		'brace-style': 0,
		'vue/brace-style': [2, '1tbs', { allowSingleLine: true }],
		'comma-dangle': 0,
		'vue/comma-dangle': [2, 'always'],
		'comma-spacing': 0,
		'vue/comma-spacing': [2, { before: false, after: true }],
		'comma-style': 0,
		'vue/comma-style': [2, 'last'],
		'dot-location': 0,
		'vue/dot-location': [2, 'property'],
		'dot-notation': 0,
		'vue/dot-notation': [2, { allowKeywords: true, allowPattern: '(^[A-Z])|(^[a-z]+(_[a-z]+)+$)' }],
		eqeqeq: 0,
		'vue/eqeqeq': [2, 'smart'],
		'func-call-spacing': 0,
		'vue/func-call-spacing': [2, 'never'],
		'key-spacing': 0,
		'vue/key-spacing': [2, { beforeColon: false, afterColon: true, mode: 'strict' }],
		'keyword-spacing': 0,
		'vue/keyword-spacing': [2, { before: true, after: true }],
		'no-irregular-whitespace': 0,
		'vue/no-irregular-whitespace': [
			2,
			{
				skipStrings: true,
				skipComments: true,
				skipRegExps: true,
				skipTemplates: true,
			},
		],
		'no-sparse-arrays': 0,
		'vue/no-sparse-arrays': 1,
		'no-useless-concat': 0,
		'vue/no-useless-concat': 1,
		'object-curly-newline': 0,
		'vue/object-curly-newline': [2, { multiline: true, consistent: true }],
		'object-curly-spacing': 0,
		'vue/object-curly-spacing': [2, 'always'],
		'operator-linebreak': [2, 'after', { overrides: { '?': 'before', ':': 'before' } }],
		'vue/operator-linebreak': 0,
		'prefer-template': 0,
		'vue/prefer-template': 1,
		'space-in-parens': 0,
		'vue/space-in-parens': [2, 'never'],
		'space-infix-ops': 0,
		'vue/space-infix-ops': [2, { int32Hint: true }],
		'space-unary-ops': 0,
		'vue/space-unary-ops': [2, { words: true, nonwords: false }],
		'template-curly-spacing': 0,
		'vue/template-curly-spacing': [2, 'never'],

		'no-unused-vars': 0,
		'no-unused-labels': 0,
		'no-label-var': 0,
	},
};
